- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# win_power_plan – Changes the power plan of a Windows system

New in version 2.4.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module will change the power plan of a Windows system to the defined string.
- Windows defaults to `balanced` which will cause CPU throttling. In some cases it can be preferable to change the mode to `high performance` to increase CPU performance.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name string / required |  | String value that indicates the desired power plan. The power plan must already be present on the system. Commonly there will be options for `balanced` and `high performance`.

## Examples

    - name: Change power plan to high performance
      win_power_plan:
        name: high performance

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
all_available_plans dictionary | always | The name and enabled state of all power plans. Sample: { "High performance": false, "Balanced": true, "Power saver": false }
power_plan_enabled boolean | success | State of the intended power plan. Sample: True
power_plan_name string | always | Value of the intended power plan. Sample: balanced

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Noah Sparks (@nwsparks)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.